Bug 62550 - libstdc++.so.3.0.4 is not thread safe on SMP machine
libstdc++.so.3.0.4 is not thread safe on SMP machine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libstdc++ (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-02 10:01 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 14:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-02 10:01:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
Programs compiled with streams in libstdc++ library (version 3.0.4) are not
thread safe and they crash radomly on a SMP machine. They work on UP machine
however.

It seems that the bug was solved already by gcc developers.

Additional references:

View Problem Report: 5432
http://gcc.gnu.org/cgi-bin/gnatsweb.pl?database=gcc&pr=5432&cmd=view

Announcing libstdc++-v3.0.97
http://gcc.gnu.org/ml/libstdc++/2002-03/msg00050.html



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a c++ program which creates ostringstream in a loop.
2. Start multiple threads that execute that part of the code
3. Compile with g++ 3.0.4
4. Run it on SMP machine
	

Actual Results:  
A crash dump happens really quicky.


Additional info:
Comment 1 Alan Cox 2002-12-15 14:50:19 EST
We now ship 3.2 on 8.0

Note You need to log in before you can comment on or make changes to this bug.